%define url ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug
%define tarname %{name}-%{version}
%define kernel_dir /usr/src/linux
%define release %mkrel 35
%define subrel 2
%define use_klibc 1

%define EXTRAS "extras/ata_id extras/chassis_id/ extras/run_directory extras/scsi_id extras/usb_id extras/volume_id/ extras/firmware"

%{?_without_klibc:	%{expand: %%global use_klibc 0}}

%{?_with_klibc:		%{expand: %%global use_klibc 1}}

Name: 		udev
Version: 	068
Release: 	%{release}
License: 	GPL
Summary: 	A userspace implementation of devfs
Group:		System/Configuration/Hardware
URL:		%{url}
Source: 	%{url}/%{tarname}.tar.bz2
Source2:	udev.rules.bz2
Source5:	udev.dvb-scripts.bz2
Source7:	udev.init.bz2
Source8:	udev-links.conf.bz2
Source9:    	udev.dxr3.event.bz2
Source10:	scsi-devfs.sh.bz2
Source11:	hotplug.rules.bz2
Source31:	udev_net_helper
Source32:	udev_agent_helper.c
Source33:	mouse.conf
Source34:	udev_import_usermap
Source35:	udev_input_coldplug
Source36:	udev_input_helper
Source37:	udev_ieee1394_helper
# from hotplug-2004_09_23
Source40:	hotplug-usb.distmap
Source41:	hotplug-usb.handmap
# (initially from Slackware, additions to use pam script)
Source42:	floppy-extra-devs.sh

Patch4:		udev-053_ide-devfs.sh.patch.bz2
Patch20:	udev044_clean_klibc_deps.patch.bz2
Patch23:	udev-044-includes.patch.bz2
Patch26:	udev-066-fix-console-lock.patch.bz2
Patch30:	udev-054-ide-model.patch.bz2
Patch33:	udev-058-links-config.patch.bz2
Patch35:	udev-068-coldplug.patch.bz2
Patch37:	udev-065-udevinfo-display-unknown-device.diff.bz2
Patch38:	udev-067-fix-firmware-path.patch.bz2
Patch39:	udev-068-firmware_null.patch.bz2
Patch40:	udev-068-cd.patch.bz2
Patch41:	udev-068-bufsize.patch.bz2
# (blino) keep input subsystem events even if DEVPATH isn't set
# REMOVE ME once 2.6.13 is in the distrib, since it's input hotplug is better
Patch42:	udev-068-input.patch.bz2
# (blino) from udev-069, check all event sources with every iteration
Patch43:	udev-068-allsources.patch.bz2
Patch50:	udev-068-userdb.patch.bz2

#Conflicts:  devfsd
Conflicts:	sound-scripts < 0.13-1mdk
Conflicts:	hotplug < 2004_09_23-22mdk
Requires:	fileutils
# for udev_net_helper
Requires:	wireless-tools
%if %use_klibc
BuildRequires:	kernel-source
Obsoletes: %{name}-klibc
Provides: %{name}-klibc
%endif
BuildRequires:	glibc-static-devel
BuildRequires:	libsysfs-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build

%description
Udev is an implementation of devfs/devfsd in userspace using sysfs and
/sbin/hotplug. It requires a 2.6 kernel to run properly.

Like devfs, udev dynamically creates and removes device nodes from /dev/.
It responds to /sbin/hotplug device events.

#%package	klibc
#Summary:	Udev klibc binaries
#Group:		System/Configuration/Hardware
#Requires:	%{name} = %{version}-%{release}
#%description	klibc
#The tools compiled against klibc for use in initial ramdisk.
#
#Note that this package contains only the binaries,
#the confguration files are included in the base package.


%package doc
Summary: Udev documentation
Group: Books/Computer books
%description doc
This package contains documentation of udev.

%package tools
Summary: Udev tools
Group: System/Configuration/Hardware
Conflicts: udev < 068-14mdk
%description tools
This package contains tools to help debugging and monitoring of udev.

%prep
%setup -q
# help vi/gendiff:
find -type f | xargs chmod u+rw
%patch4 -p1 -b .ide
%patch20 -p1 -b .clean_klibc_deps
%patch23 -p1 -b .includes
%patch26 -p1 -b .pam
%patch30 -p1 -b .ide_model
%patch33 -p1 -b .link_cfg
%patch35 -p1 -b .coldplug
%patch37 -p1 -b .which_device
%patch38 -p1 -b .firmware_path
%patch39 -p1 -b .firmware_null
%patch40 -p1 -b .cd
%patch41 -p1 -b .bufsize
%patch42 -p1 -b .input
%patch43 -p1 -b .allsources
%patch50 -p1 -b .userdb
bzcat %SOURCE10 > extras/scsi-devfs.sh

perl -pi -e 's!/usr/local/bin/!/etc/udev/rules.d/!' extras/chassis_id/table.c 
perl -pi -e 's!/usr/local/bin/chassis_id!/sbin/chassis_id!' extras/chassis_id/README 
perl -pi -e 's!/usr/local/bin!/etc/udev/rules.d!' extras/chassis_id/README 

%build
%if %use_klibc
make KERNEL_DIR=%{kernel_dir} LINUX_INCLUDE_DIR=%{_includedir} USE_KLIBC=true USE_LOG=false
install -m 755 udev udev-klibc 
install -m 755 udevstart udevstart-klibc
%make clean
%endif

make EXTRAS=%EXTRAS USE_LOG=true
make -C extras cdsymlinks

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install udevdir=/dev EXTRAS=%EXTRAS

%if %use_klibc
install -m 755 udev-klibc $RPM_BUILD_ROOT/sbin/
install        udevstart-klibc $RPM_BUILD_ROOT/sbin/
%endif

# init script
rm -rf $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/%{_initrddir}/
bzcat %SOURCE7 > etc/init.d/udev
install -m 755 etc/init.d/udev $RPM_BUILD_ROOT/%{_initrddir}/
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/hotplug.rules

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/default
install -m 755 extras/run_directory/dev.d/default/pam_console.dev $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/default

# scsi_id
install -m 755 extras/scsi_id/scsi_id $RPM_BUILD_ROOT/sbin/
install -m 644 extras/scsi_id/scsi_id.config $RPM_BUILD_ROOT/etc/
install -m 644 extras/scsi_id/scsi_id.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
#scsi_id docs
install -m 644 extras/scsi_id/ChangeLog ChangeLog.scsi_id
install -m 644 extras/scsi_id/README README.scsi_id
install -m 644 extras/scsi_id/TODO TODO.scsi_id
install -m 644 extras/scsi_id/release-notes release-notes.scsi_id

install -m 755 extras/chassis_id/chassis_id $RPM_BUILD_ROOT/sbin/
install -m 644 extras/chassis_id/provision.tbl $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 extras/chassis_id/README README.chassis_id

#install -m 755 extras/volume_id/udev_volume_id $RPM_BUILD_ROOT/sbin/
# we do not support s390:
#install -m 644 extras/volume_id/s390-dasd.rules $RPM_BUILD_ROOT/etc/udev/rules.d/
install -m 644 extras/volume_id/README README.udev_volume_id

rm -f $RPM_BUILD_ROOT/etc/%{name}/udev.rules.devfs

rm -f $RPM_BUILD_ROOT/etc/%{name}/rules.d/50-udev.rules
bzcat %SOURCE2 > 50-mdk.rules
install -m 644 50-mdk.rules $RPM_BUILD_ROOT/etc/%{name}/rules.d/50-mdk.rules

install -d $RPM_BUILD_ROOT/etc/%{name}/scripts
install -m 755  extras/ide-model.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/ide-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/scsi-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/start_udev $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/raid-devfs.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/scsi_id/gen_scsi_id_udev_rules.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/inputdev.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  extras/cdsymlinks.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  %SOURCE42 $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 644  extras/cdsymlinks.conf $RPM_BUILD_ROOT/etc/%{name}/
install -m 755  udevrulescompile $RPM_BUILD_ROOT/sbin/
install -m 755  udeveventrecorder $RPM_BUILD_ROOT/sbin/

bzcat %SOURCE8 > links.conf
install -m 644  links.conf $RPM_BUILD_ROOT/etc/%{name}/

# dxr3 support:
bzcat %SOURCE9 > dxr3.dev
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/dxr3/
install -m 755 dxr3.dev $RPM_BUILD_ROOT/%{_sysconfdir}/dev.d/dxr3/default.dev

bzcat %SOURCE5 > $RPM_BUILD_ROOT%_sysconfdir/udev/scripts/dvb.sh

install -m 755 extras/cdsymlinks $RPM_BUILD_ROOT/sbin/
#install -m 0755 extras/firmware_helper $RPM_BUILD_ROOT/sbin
install -m 0755 %SOURCE31 $RPM_BUILD_ROOT/sbin
install -m 0755 %SOURCE35 $RPM_BUILD_ROOT/sbin
install -m 0755 %SOURCE36 $RPM_BUILD_ROOT/sbin
install -m 0755 %SOURCE37 $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/udev/conf.d/
install -m 0755 %SOURCE33 $RPM_BUILD_ROOT/%_sysconfdir/udev/conf.d/
install -m 0755 %SOURCE34 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/udev/agents.d/usb

$RPM_BUILD_ROOT%{_sbindir}/udev_import_usermap usb %{SOURCE40} %{SOURCE41} > $RPM_BUILD_ROOT/etc/udev/rules.d/70-hotplug_map.rules

mkdir -p $RPM_BUILD_ROOT/lib/hotplug/firmware $RPM_BUILD_ROOT/usr/lib
cd $RPM_BUILD_ROOT/usr/lib
ln -s ../../lib/hotplug hotplug
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ ! -L /usr/lib/hotplug ]; then
	echo "Moving /usr/lib/hotplug to /lib/hotplug"
	mkdir -p /lib/hotplug
	if [ -d /usr/lib/hotplug ]; then
		mv /usr/lib/hotplug/* /lib/hotplug/
		rmdir /usr/lib/hotplug
	fi
	cd /usr/lib
	ln -s ../../lib/hotplug hotplug
fi

%triggerpostun -- udev < 064-4mdk
for i in /etc/udev/rules.d/{dvd,mouse}.rules; do
    [[ -e $i ]] && mv ${i}{,.old};
done
:

%triggerpostun -- udev < 068-17mdk
rm -f /etc/rc.d/*/{K,S}*udev

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) /sbin/ata_id
%attr(0755,root,root) /sbin/cdsymlinks
%attr(0755,root,root) /sbin/firmware_helper
%attr(0755,root,root) /sbin/udev
%attr(0755,root,root) /sbin/udevcontrol
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/udeveventrecorder
%attr(0755,root,root) /sbin/udev_ieee1394_helper
%attr(0755,root,root) /sbin/udev_input_coldplug
%attr(0755,root,root) /sbin/udev_input_helper
%attr(0755,root,root) /sbin/udev_net_helper
%attr(0755,root,root) /sbin/udevrulescompile
%attr(0755,root,root) /sbin/udev_run_devd
%attr(0755,root,root) /sbin/udev_run_hotplugd
%attr(0755,root,root) /sbin/udevsend
%attr(0755,root,root) /sbin/udevstart
#%attr(0755,root,root) /sbin/udev_volume_id
%attr(0755,root,root) /sbin/vol_id
%attr(755,root,root) /sbin/usb_id
%attr(0755,root,root) /sbin/chassis_id
%attr(0755,root,root) /%{_bindir}/udevinfo
%attr(0755,root,root) /sbin/scsi_id
%attr(0755,root,root) /%{_initrddir}/%{name}
%dir %_sysconfdir/udev/agents.d
%dir %_sysconfdir/udev/agents.d/usb
%config(noreplace) /%{_sysconfdir}/%{name}/*.conf
%config(noreplace) /%{_sysconfdir}/scsi_id.config
%config(noreplace) /%{_sysconfdir}/%{name}/rules.d/*
%attr(0755,root,root) /%{_sysconfdir}/%{name}/scripts/*
%dir /%{_sysconfdir}/dev.d
%dir /%{_sysconfdir}/dev.d/dxr3
%dir /%{_sysconfdir}/dev.d/default
%dir /%{_sysconfdir}/udev
%dir /%{_sysconfdir}/udev/rules.d
%dir /%{_sysconfdir}/udev/scripts
%dir /%_sysconfdir/udev/conf.d/
%attr(0755,root,root) /%_sysconfdir/udev/conf.d/*
%attr(0755,root,root) /%{_sysconfdir}/dev.d/dxr3/default.dev
%attr(0755,root,root) /%{_sysconfdir}/dev.d/default/*
%_mandir/man8/*
/usr/lib/hotplug
%dir /lib/hotplug
%dir /lib/hotplug/firmware


%if %use_klibc
#%files klibc
#%defattr(0644,root,root,0755)
#%doc COPYING README TODO ChangeLog
%attr(0755,root,root) /sbin/*-klibc
%endif

%files doc
%defattr(0644,root,root,0755)
%doc COPYING README README.* TODO ChangeLog ChangeLog.* release-notes.scsi_id RELEASE-NOTES
%doc docs/overview docs/udev_vs_devfs docs/libsysfs.txt  TODO.scsi_id 
%doc extras/run_directory/RFC-dev.d docs/writing_udev_rules/* docs/persistent_naming/* HOWTO-udev_for_dev

%files tools
%defattr(0644,root,root,0755)
%attr(0755,root,root) /%{_bindir}/udevtest
%attr(0755,root,root) %_sbindir/udevmonitor
%attr(0755,root,root) %{_sbindir}/udev_import_usermap

%changelog
* Wed May  3 2006 Olivier Blin <blino@n3.mandriva.com> 068-34.2.20060mdk
- Patch50: always use own user db parser (#19690)
- don't setup vmnet interfaces in udev_net_helper (#22257)

* Fri Feb 24 2006 Olivier Blin <blino@n3.mandriva.com> 068-34.1.20060mdk
- blacklist br* interfaces in udev_net_helper (#21177)

* Mon Sep 19 2005 Olivier Blin <oblin@mandriva.com> 068-34mdk
- udevstart: fix SCSI coldplug

* Mon Sep 19 2005 Olivier Blin <oblin@mandriva.com> 068-33mdk
- Source2: preload usbhid before usbmouse is loaded

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 068-32mdk
- Source42: floppy-extra-devs.sh (from Slackware, + pam additions)
- Source2: create extra floppy devices

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 068-31mdk
- udev_net_helper: export IN_HOTPLUG for ifdown too

* Thu Sep 15 2005 Olivier Blin <oblin@mandriva.com> 068-30mdk
- Patch43 (udevd): check all event sources with every iteration
- don't run udev_agent_helper anymore, it's broken anyway

* Wed Sep 14 2005 Olivier Blin <oblin@mandriva.com> 068-29mdk
- Source2: fix pci coldplug (usb controllers) in some weird cases
  where the parent device would have a class that doesn't match

* Mon Sep 12 2005 Olivier Blin <oblin@mandriva.com> 068-28mdk
- Source37: udev_ieee1394_helper (forked from hotplug)
- Source2: run ieee1394 helper when needed
- fix net helper (because hotplug.functions may be missing)

* Mon Sep 12 2005 Olivier Blin <oblin@mandriva.com> 068-27mdk
- Patch41: keep input subsystem events even if DEVPATH isn't set
- Source35: udev_input_coldplug (forked from hotplug's input.rc)
- Source36: udev_input_helper (forked from hotplug's input.agent)
- Source7: run udev_input_coldplug after udevstart
- Source2: run udev_input_helper for input subsystem events

* Sun Sep 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-26mdk
- source 2: fix MD rules (#18422)

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 068-25mdk
- don't copy initrd's /dev/shm in init script,
  it removed the world writable and sticky permissions,
  while it is required (e.g. for ATI drivers)

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 068-24mdk
- udev_net_helper: handle bluetooth network devices
  (Jan Ciger, #18283)

* Fri Sep  9 2005 Olivier Blin <oblin@mandriva.com> 068-23mdk
- Patch41: don't upload spurious firmware data (upstream patch)

* Wed Sep  7 2005 Olivier Blin <oblin@mandriva.com> 068-22mdk
- package firmware directories and links

* Tue Sep  6 2005 Olivier Blin <oblin@mandriva.com> 068-21mdk
- Patch40: fix cd symlinks creation (J.A. Magallon, #17724)

* Mon Sep  5 2005 Olivier Blin <oblin@mandriva.com> 068-20mdk
- ignore lock file in udev service at boot (#18120)
- copy /initrd/dev in /dev to keep lvm and dmraid nodes (#18233)
- add scsi coldplug support in udevstart (#18148)

* Sun Sep  4 2005 Olivier Blin <oblin@mandriva.com> 068-19mdk
- Source34: handle match flags correctly
- use builtin udev_import_usermap in %%install, not system's

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 068-18mdk
- Source32: fix typo in agent path

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 068-17mdk
- Source7: don't make the udev service chkconfig'able
- remove udev service on upgrade from udev < 068-17mdk

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 068-16mdk
- include rules converted from old hotplug usermap
- require wireless-tools (for udev_net_helper)
- drop hotplug requirement

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 068-15mdk
- use correct patch for coldplug (#18089)

* Tue Aug 30 2005 Olivier Blin <oblin@mandriva.com> 068-14mdk
- create udev-tools subpackage

* Tue Aug 30 2005 Olivier Blin <oblin@mandriva.com> 068-13mdk
- don't add udev service with chkconfig, it's handled by rc.sysinit

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 068-12mdk
- use commas in rules generated by udev_import_usermap

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 068-11mdk
- add --no-modprobe and --no-driver-agent options to udev_import_usermap

* Fri Aug 26 2005 Olivier Blin <oblin@mandriva.com> 068-10mdk
- Source2: allow PCI coldplug for USB controllers only
- update Patch35 to replay events for PCI devices too (Titi & me)
- add /etc/udev/agents.d and /etc/udev/agents.d/usb directories
- update Source32 to use /etc/udev/agents.d (agent helper)
- update Source34 to use /etc/udev/agents.d (usermap import)

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-9mdk
- source 2: fix support for RAID Compaq smart array & Mylex controllers)

* Thu Aug 25 2005 Olivier Blin <oblin@mandriva.com> 068-8mdk
- add udev_import_usermap to migrate hotplug usermaps (Source34)
- Patch39: fix firmware path termination (upstream patch)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-7mdk
- drop source 30 and use upstream firmware helper
- patch 38: fix firmware path in upstream helper

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-6mdk
- move doc in its own subpackage (as well as debug tools), thus reducing size
  of minimal install

* Tue Aug 23 2005 Olivier Blin <oblin@mandriva.com> 068-5mdk
- Source 31: call ifdown on network device removal (#17749)

* Tue Aug 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-4mdk
- source 33: obey what /etc/sysconfig/mouse settings (pixel, #17307)

* Mon Aug 22 2005 Olivier Blin <oblin@mandriva.com> 068-3mdk
- source 2: fix firmware loading (Mark Draheim, #17679)
  ENV{}== and ENV{}= are not equivalent as of udev 068

* Fri Aug 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-2mdk
- source 2: only link "psaux" on "psmouse", not on "mouse" (mousedrake taking
  care of the later) (#17461)

* Fri Aug 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-1mdk
- new release
- package udeveventrecorder

* Thu Aug 18 2005 Olivier Blin <oblin@mandriva.com> 067-5mdk
- source31: more generic fix for #17550
- source31: use the "daemon" parameter of ifup instead of "boot"

* Thu Aug 18 2005 Olivier Blin <oblin@mandriva.com> 067-4mdk
- source 35: use global exec list for usb coldplug

* Mon Aug 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-3mdk
- source 31: add support for usbnet (#17550)

* Sun Aug 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-2mdk
- package udevrulescompile

* Sun Aug 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-1mdk
- new release
- redo patch 26 & 35
- kill patches 34 & 36

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-8mdk
- workaround rpm dropping exec permissions on /etc/dev.d/*/*

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-7mdk
- patch 36: do not print usage help if udevinfo -q symlink -p path returns no
  symlinks
- patch 37: specify which device isn't found in db by udevinfo
- rpmlint fixes
- source 2: ignore the events generated by virtual consoles

* Mon Aug  8 2005 Olivier Blin <oblin@mandriva.com> 065-6mdk
- add missing includes to fix udev_agent_helper segfaults on x86_64

* Mon Aug 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-5mdk
- source 2:
  o fix/factorize SCSI disk & sg rules
  o factorize lp rules
  o describe %%e and %%s{XXXX}
  o move dynamic stuff into dynamic package
- own all directories (#17367)
- source 32: new helper enabling to use external agents (blino)

* Sun Aug  7 2005 Olivier Blin <oblin@mandriva.com> 065-4mdk
- remove versionned Requires for kernel-source, it doesn't work since
  kernel-source provides an unversionned kernel-source, which matchs
  every versionned Requires of kernel-source

* Sat Aug  6 2005 Olivier Blin <oblin@mandriva.com> 065-3mdk
- better USB coldplug support in Patch35
  (i.e. do not run udevsend while it can be avoided)

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-2mdk
- enable log in glibc build (enabled by ENV{UDEV_LOG}=debug or through
  /etc/udev/udev.conf)
- source 2:
  o add some comments for scsi
  o ready for dbus-0.3x/hal-0.5
- patch 35: add USB coldplug support (blino & me)
- source 7: restart syslogd on force-reload

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-1mdk
- new release
- source 2:
  o prevent forking hotplug/dynamic agents for unmanaged console stuff (#15371)
  o cleaner rule for device mapper
  o add support for tpm devices
  o more firewire rules (+ s/usb/video/ on group)
- patch 34: fix udevmonitor build

* Fri Aug  5 2005 Olivier Blin <oblin@mandriva.com> 064-5mdk
- Source2: use udev_net_helper to handle net events
- Source30: create udev_net_helper from hotplug's net.agent
  (minimize differences with hotplug's original net.agent)
- fix EXTRAS definition to really handle ata_id
- add prereq on rpm-helper
- fix previous changelog (the installer used to create udev rules too)
- use cdrom group for sr[0-9]* devices (Thierry Vignaud)

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-4mdk
- fix firmware loading (#17178)
- enable function id matching for pcmcia after loading modules
- source 7:
  o explain why we don't start when /sys isn't mounted
  o no fork bomb (#15371) (udev will serialize events anyway)
  o disable run_udev (try, may be reverted later)
- on update, disable rules written by blino devfsd->udev migration script and
  installer since they override our own rules (thus resulting in missing nodes
  in /dev and unapplied permissions) (#17229, #17307)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-3mdk
- source 30: fix firmware path (#17150)

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- kill blino devfsd->udev migration script since it results in writing rules
  that hide our own rules (thus resulting in missing nodes in /dev and
  unapplied permissions)

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- use mkrel

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-1mdk
- new release
- source 2:
  o update to new syntax
  o provide more links for cpu devices
  o create scannerX if needed
- faster boot (reducing amount of time spent in hotplug):
  o source 30: obsolete firmware.agent
  o source 2: new firmware handler
    * update to new syntax
    * obsolete  firmware.agent, ieee1394.agent & scsi.agent
	* load modules for pci, pcmcia & usb

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 063-1mdk
- new release
- fix firewire support with kernel-2.6.12+ (#16812)
- source 11: compatibility support for the obsolete hotplug.d and dev.d
  directories
- build ata_id, udev_run, usb_id & volume_id

* Tue Jun 21 2005 Frederic Lepied <flepied@mandriva.com> 058-5mdk
- fixed dependencies

* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-4mdk
- source 7: when restarting the service, prevent overriding current sound
  volume with volume restored at boot

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-3mdk
- we do not need anymore to restart syslogd on post since we don't umount /dev
  anymore 

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-2mdk
- source 2:
  o fix joystick permissions (#15378)
  o add /dev/js0 link on input/js0 (#15378)

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-1mdk
- new release
- patch 4: fix devfs names (#15749)
- source 8: workaround slow nvidia devices creation
- kill patches 27 & 28 (another fix was included upstream) as well as 31 & 32
- patch 33: enable cdrom0 and numbered cd links (thus replacing old patches
  27 & 28)

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-2mdk
- fix udevstart-klibc

* Mon Apr 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-1mdk
- new release
- kill patch 22

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 054-6mdk 
- update source 2:
  - fix typo for visor path script (Mdk bug #15280)
  - create symlink for USB ZIP/JAZ devices to be console privilege
- Update patch 26 to call pam_console_setowner correctly

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-5mdk
- source 2:
  o fix DVB perms (#15117)
  o fix raid devices

* Thu Mar 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-4mdk
- source 7: fix redirecting error messages (#14726)

* Mon Mar 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-3mdk
- rename default rules from 00 to 50 in order to allow custom rules to override
  our default ones (#14446)
- do not precreate dri anymore

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-2mdk
- source 7: some systems need larger /dev (#14092)
- fix creation of DRI device (#14313)
- patch 31: fix dvd burners devices (#14208)
- patch 32: fix cd info parsing when there's only one device (#13700)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-1mdk
- new release
- kill patch 29 (merged upstream)
- source 2, patch 30: further try to fix ZIP devices (#11663)
- source 7: do not access /var/run unless accessible (#13616)

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-5mdk
- source 2: fix DRI rule for card0
- source 8: precreate dri/card0 so that pam set proper permissions on login,
  even when not using a DM (aka directly running startx)

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-4mdk
- source 2: fix PDA devices (frederic crozat)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-3mdk
- source 2: fix par0 device (#13639)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-2mdk
- patch 27: fix missing cdrom0
- patch 28: generate cdrom0, cdrom1, ... instead of cdrom1, cdrom2, ...

* Sat Feb 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-1mdk
- new release
- rediff patch 4
- kill patches 24 & 25 (merged upstream)
- source 2:
  o use the new SUBSYSTEM keyword for sound permissions
  o set a few more permissons
  o fix fb permissions

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-2mdk
- fix the devfsd compat links for PDA (#12167)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-1mdk
- new release (fix missing cdrom* links) (#13537)
- source 2:
  o merge in source 4 (permissions are dead in new udev)
  o add support for ts input devices
  o add support for aoe char devices (kernel-2.6.11+)
  o add support for ttyUSB*
  o fix missing lp links (#13027)
  o use binary cdsymlinks rather than script one (quite a lot faster)
- source 7: do not replay udev on rc.sysinit => init 5 switch

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-17mdk
- provide binary cdsymlinks for live CDs

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-16mdk
- source 7: increase firmware loading timeout from 10 up to 50 seconds,
  thus workarounding some firmware upload troubles

* Mon Feb 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-15mdk
- source 2:
  o add support for Infiniband devices (kernel-2.6.11-rc3)
  o fix support for ZIP devices (#11663) and relax test in order to support
    also IOMEGA ZIP 250

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-14mdk
- source 2, 10: switch to debian scsi helper script (real old devfs names, not
  new richard gooch devfs names with extra pci domain field and the like)
- source 7:
  o "replay" block device events on startup
  o rework scsi devfs compat names so that devfs names are linked on old names
    instead of the reverse (fix #12756)
  o switch to hotplug mode
  o fix force-reload
  o more subsys checks

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-13mdk
- source 2: generate devfs compat names for SCSI devices

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-12mdk
- source 2: workaround devices that do not report media changes (#11663)
- source 7: run pam_console_apply in restart

* Tue Jan 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-11mdk
- source 7: workaround buggy entries in /proc for already running processes
  on stop/restart (#13032):
  o do nothing on stop (force-stop do what stop did previously)
  o rerun udevsart on restart
  o force-reload does what restart used to do
- fix doble call to udev on every hotplug event (#13082)

* Mon Jan 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-10mdk
- source 2: enable DVB rules for both older and newer kernels
- source 8: precreate lp0 (#13027) and rawctl (#11511) too 
- source 9: add support for dxr3 (#12959)
- fix some rpmlint warning

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-9mdk
- source 2: update DVD rules for kernel-2.6.9+ (#12999)
- patch 26: fix PAM lock check (#12987)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-8mdk
- source 2: fix /dev/video0 link (#12978)

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-7mdk
- source 7:
  o reenable udev stop|restart
  o increase tmpfs size b/c some boxes have quite a large /dev
	(b/c of the new lockless filesystem-based /dev/.udevdb/ database...)
- source 8: explain links.conf

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-6mdk
- precreate parport0 (#12544), cpu/0/cpuid, cpu/0/microcode and cpu/0/msr

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-5mdk
- move sound stuff into sound-scripts

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-4mdk
- fix startup
- do not install compressed rules

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-3mdk
- rules:
  o merge in sources 2 & 3
  o add support for Zaptel, CPU, RAID (Compacq smart array & Mylex), cpad,
    devices
  o misc rules updates
  o explain DM rules
- update permissions
- precreated devices:
  o move device list from init script into /etc/udev/links.conf (a la debian)
  o precreate loop/0 and net/tun too
- patch 24: fix the NUMBERED_LINKS=0 case (debian #288635)
- patch 25: RAID helper

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-2mdk
- restore ALSA mixer in background

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-1mdk
- new release
- kill patches 5 & 21 (merged into source 7)
- precreate /dev/raw1394

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 046-1mdk
- new release
- rediff patch 21
- disable parrallel build (broken for now)

* Tue Nov 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-3mdk
- fix udevdir

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-2mdk
- add udevstart-klibc link

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-1mdk
- new release
- rediff patch 20 and 23

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-24mdk
- source 6: quiet it (+ perl_checker cleanups)

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-23mdk
- migrate devfs rules also on first install

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-22mdk
- source 6: migrate devfs rules when updating an old udev (and not during
  install) (blino, #10860)

* Mon Oct 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-21mdk
- source 3: add pktcdvd/control entry (#11553)

* Tue Oct 04 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 030-20mdk
- fix build on x86_64

* Tue Sep 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-19mdk
- mount /dev/pts and /dev/shm if needed

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-18mdk
- drop source 1: obsoleted by source 4
- sources 4 and 5: add support for DVB (lamikr)
- restart syslog after udev updates (else minilogd is forked and eat memory)

* Thu Sep  9 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-17mdk
- activate pam support

* Wed Sep  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-16mdk
- start at level 01
- no log by default

* Wed Sep  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-15mdk
- fixed logic in init scripts when creating nodes

* Wed Sep 08 2004 Luca Berra <bluca@vodka.it> 030-14mdk 
- fix initscript again:
  don't create devices that already exist
  do not stop if running on /dev

* Mon Sep 06 2004 Luca Berra <bluca@vodka.it> 030-13mdk
- merge udev and udev-klibc package, only use klibc for udev and udevstart
- fix initscript if devfs found, and other minor issues
- do not conflict with devfsd

* Fri Sep  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-12mdk
- added fd, loopd, sg, sr and st creation in init script
- start before syslog to have a correct /dev/log

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-11mdk
- patch 21: precreate /dev/ppp in order to enable kmod to autoload ppp
  related modules

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-10mdk
- patch 21: fix udev update (aka get proper perms after update)

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-9mdk
- add conflicts with devfsd

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-8mdk
- source 2: fix usb printers support (missing EOL)

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-7mdk
- really, really run on /dev instead of /udev even when not using
  --short-circuit

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-6mdk
- patch 21: on start, run scripts from /etc/udev/conf.d/ (so that drakx can
  drop commands there rather than devfsd rules in /etc/devfs/conf.d)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-5mdk
- fix /dev/ptmx permissions by overwritting default perms with ours
- source 4: fix typo in comment
- patch 21: umount -l sometimes complains whereas kernel succeed a few seconds
  later; let quiet this

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-4mdk
- enhance description
- really run on /dev instead of /udev
- patch 21: run pam_console_apply on startup
- source 4: enhanced permissions (merge bits from rh & debian)
- remaining bug is lack of /dev/ptmx support in PAM

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-3mdk
- patch 21: enhanced sysv init script:
  o let's have std translated messages
  o fix stop
  o check kernel version
  o add devfsd guards
  o support lazy stop while system is still up
  o still a bug though: /proc/self/fd/ entries are bogus :-(
  o sync with debian
- source 4: extra perms
- udev service is devfsd successor capable

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-2mdk
- make rpmlint a bit happier
- dbus support was dropped: cleanup the spec

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-1mdk
- update to udev-030
- disable loging for klibc binaries
- dont build/install udevinfo-klibc
- add some new docs

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-5mdk
- build chassis_id and udev_volume_id too
- add scsi-devfs and start_udev scripts
- add /etc/dev.d/default and /etc/sysconfig/udev

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-4mdk
- fix hotplug script
- reenable klibc binaries and split them in different package

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-3mdk
- fix configuration files
- add some new rules

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-2mdk
- only make udev files writable

* Tue Jun 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-1mdk
- new release
- fix --short-circuit
- kill patch 1, 2 and 11 since /etc/udev/rules.d/ replaced /etc/udev/conf.d
- kill patch 3, 6 and 21 (merged upstream)
- redo patch 4, 5

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 013-4mdk
- don't build with klibc/dbus by default
- subsys support in service

* Mon Jan 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-3mdk
- patch 11: support for multiple configuration files (Andrej)
- better init script (Andrej)
- scsi_id-0.3
- add --with/--without klibc, dbus
- add some new devfs symlinks
- split udev.rules in devfs & lsb
- some more Makefile's tweaks

* Mon Jan 19 2004 Olivier Blin <blino@mandrake.org> 013-2mdk
- restore some executable perms

* Wed Jan 14 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-1mdk
- 013
- build klibc binary for initrd (udev-klibc)
  and glibc dynamic binary (udev)
- include scsi_id 
- better devfs like rules
- udev uses the udev.rules.devfs by default
- some tweaks to udev.permissions
- patch 4: tweak ide-devfs.sh to create all
  the symlinks devfs creates
- add core, fd/*, stdin, stdout, stderr support 
  to init script (stolen from the debian one)
- use dbus, now that we have it 
- From Olivier Blin <blino@mandrake.org> :
    - remove explicit dependency on libdbus package
    - fix BuildRequires (dbus-devel, libsysfs-devel)
    - define %%kernel_rel and %%kernel_dir
    - fix perms in %%files

* Mon Jan 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 012-1mdk
- new release

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 011-1mdk
- new release

* Wed Dec 17 2003 Nicolas Planel <nplanel@mandrakesoft.com> 009-1mdk
- 009.

* Wed Dec 10 2003 Nicolas Planel <nplanel@mandrakesoft.com> 008-1mdk
- 008.

* Fri Nov 28 2003 G�z Waschk <waschk@linux-mandrake.com> 007-2mdk
- buildrequires glibc-static-devel

* Tue Nov 25 2003 Nicolas Planel <nplanel@mandrakesoft.com> 007-1mdk
- 007.

* Wed Nov 19 2003 Nicolas Planel <nplanel@mandrakesoft.com> 006-1mdk
- First version for MandrakeSoft.
